
import org.json.simple.JSONObject;

class MCutResult
{
   class Cut
   {
      public enum ContentType {FILENAME, BAD_REQUEST, SERVICE_ERROR};
      //public Inputs inputs;
      public int index;
      public ContentType contentType;
      public String content;

      JSONObject toJsonObject()
      {
         JSONObject jo = new JSONObject();
         //jo.put("input", inputs.toJsonObject());
         jo.put("type", contentType.toString());
         jo.put("content", content);
         return jo;
      }
	}

   public String fileName;
   public String resJsonPathname;
   public long fileSize;
   Cut[] cutResArr;
}

